Subject: bug#2549: bug#21439: 25.0.50; Make scroll-other-window work with special modes such as doc-view-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 May 2022 14:20:30 +0200

Markus Triska <[email-masked]> writes:

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c C-x 2
>
> and then press C-M-v repeatedly, the other window eventually wraps
> around instead of stopping at the image border like C-v does.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this in Emacs 28.1, but not in Emacs 29 --
scroll-other-window was recently changed to respect how scrolling
commands are defined in the "other window".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no